/**
 * \file gre/dlgactiveelem.h
 * \brief GRE Active Element Information Viewer.
 *
 * \if NODOC
 * $Id: dlgactiveelem.h_v 1.2 2011/11/28 17:07:53 mju Exp $
 *
 * $Log: dlgactiveelem.h_v $
 * Revision 1.2  2011/11/28 17:07:53  mju
 * Fix dox dependency.
 *
 * Revision 1.1  2006/03/08 17:50:05  scowan
 * Initial revision
 * \endif
**/

#ifndef	INC_GRE_DLGACTIVEELEM_H
#define	INC_GRE_DLGACTIVEELEM_H

#ifndef INC_MGUI_DLGSHELL_H
#include <mgui/dlgshell.h>
#endif

namespace GRE {

#ifndef GENERATING_DOXYGEN_OUTPUT
class LAYER;
#endif // GENERATING_DOXYGEN_OUTPUT

//=====================================================================================================================

//! GRE Active Element Information dialog.
//! Intended for use as modeless dialog only.
class DLG_ACTIVEELEMENTINFO : public MGUI::DLGSHELL {
	public:

		//! Construct for specified layer.
		DLG_ACTIVEELEMENTINFO (
			GRE::LAYER *layer			//!< Layer
			);

		virtual ~DLG_ACTIVEELEMENTINFO ();
		
		//! Create an Active Element Information view.  If a view already exists 
		//! for the layer, this method will bring it to the foreground.
		static void CreateInfoView (
			MDLGPARENT Parent,
			LAYER* layer
			);

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT
		class PRIV;
		PRIV *m_pPriv;
		LAYER* m_layer;

		// SHELL/DLGSHELL overrides.
		virtual ERRVALUE v_CreateContent ();
		#endif // GENERATING_DOXYGEN_OUTPUT
	};

//=====================================================================================================================

}	// End namespace GRE

#endif	// INC_GRE_DLGACTIVEELEM_H
