/**
 * \file mgui/ctrlpopupbutton.h
 * \brief MGUI::CTRL_POPUPBUTTON
 *
 * \if NODOC
 * $Id: ctrlpopupbutton.h_v 1.1 2011/08/24 18:54:49 mju Exp $
 *
 * $Log: ctrlpopupbutton.h_v $
 * Revision 1.1  2011/08/24 18:54:49  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_MGUI_CTRLPOPUPBUTTON
#define	INC_MGUI_CTRLPOPUPBUTTON

#ifndef	INC_MGUI_CTRL_H
#include <mgui/ctrl.h>
#endif

namespace MGUI {

//=====================================================================================================================
//! Base for pushbutton associated with POPUP.
class CTRL_POPUPBUTTON : public CTRL_PUSHBUTTON {
	public:

		//! Constructor.
		CTRL_POPUPBUTTON ();

		//! Destructor.
		virtual ~CTRL_POPUPBUTTON ();

		//! Set delegate to call when popup is closed normally (no error return).
		void SetDelegateOnPopupClose (
			DELEGATE_VOID_NOPARMS delegate	//!< Delegate
			) { m_DelegateOnPopupClose = delegate; }

		//! Set delegate to call when popup is about to be opened.
		void SetDelegateOnPopupOpen (
			DELEGATE_VOID_NOPARMS delegate	//!< Delegate
			) { m_DelegateOnPopupOpen = delegate; }

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT

		DELEGATE_VOID_NOPARMS m_DelegateOnPopupOpen;
		DELEGATE_VOID_NOPARMS m_DelegateOnPopupClose;

		virtual void OnPressed ();

		#endif // GENERATING_DOXYGEN_OUTPUT

		//! Override to open popup associated with button.
		virtual ERRVALUE v_OpenPopup () = 0;
	};

//=====================================================================================================================

}	// End namespace MGUI

#endif	// INC_MGUI_CTRLPOPUPBUTTON
