/**
 * \file smlbase.h <mi32/smlbase.h>
 * \brief Base SML declarations
 *
 * \if NODOC
 * $Id: smlbase.h_v 1.8 2007/05/08 15:44:52 dwilliss Exp $
 *
 * $Log: smlbase.h_v $
 * Revision 1.8  2007/05/08 15:44:52  dwilliss
 * SML namespace
 *
 * Revision 1.7  2007/05/07 15:05:06  dwilliss
 * moved usage enum to sml/usage.h
 *
 * Revision 1.6  2007/02/09 18:35:23  dwilliss
 * another one
 *
 * Revision 1.5  2007/02/09 18:22:15  dwilliss
 * Added new SMLUSAGE for script layers
 *
 * Revision 1.4  2007/01/31 18:13:55  dwilliss
 * lost a ; in cut-paste
 *
 * Revision 1.3  2007/01/31 18:10:28  dwilliss
 * Moves SMLUSAGE enum here
 *
 * Revision 1.2  2006/09/15 16:12:32  mju
 * Add smlcallbackstruct.
 *
 * Revision 1.1  2006/09/14 17:04:48  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_MI32_SMLBASE_H
#define	INC_MI32_SMLBASE_H

#ifndef INC_SML_USAGE_H
#include <sml/usage.h>
#endif

#ifndef GENERATING_DOXYGEN_OUTPUT
// Forward declarations

namespace SML {
	union ARG;
	struct CALLBACKSTRUCT;
	class CONTEXT;
	class SYMBOL;
	class CLASSMEMBER;
	class CLASS;
	} // end of SML namespace

typedef SML::ARG SMLARG;
typedef SML::CONTEXT SMLCONTEXT;
typedef SML::SYMBOL SMLSYMBOL;
typedef SML::CALLBACKSTRUCT SMLCALLBACKSTRUCT;
typedef SML::CLASS SMLCLASS;
typedef SML::CLASSMEMBER SMLCLASSMEMBER;

#endif	// GENERATING_DOXYGEN_OUTPUT

#endif	// INC_MI32_SMLBASE_H
