/**
 * \file tiepoint.h <mi32/tiepoint.h>
 * \brief TIEPOINT definitions
 *
 * \if NODOC
 * $Id: tiepoint.h_v 1.6 2005/09/06 14:35:19 mju Exp $
 *
 * $Log: tiepoint.h_v $
 * Revision 1.6  2005/09/06 14:35:19  mju
 * Remove unused prototype.
 *
 * Revision 1.5  2003/09/15 13:49:56  fileserver!dwilliss
 * Doxygen
 *
 * Revision 1.4  2001/12/11 16:51:59  scowan
 * Added swap bytes function.
 *
 * Revision 1.1  1999/04/28 16:52:38  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_MI32_TIEPOINT_H
#define	INC_MI32_TIEPOINT_H

#ifndef	INC_MI32_POINT_H
#include <mi32/point.h>
#endif

struct TIEPOINT {
	DPOINT2D source;			//!< Point in source coordinate system
	DPOINT2D dest;				//!< Point in destination coordinate system
	FPOINT2D sourceaccur;	//!< Accuracy of source coordinates
	FPOINT2D destaccur;		//!< Accuracy of destination coordinates
	};

inline void SwapBytes (
	TIEPOINT& pt
	) {
	SwapBytes(pt.source);
	SwapBytes(pt.dest);
	SwapBytes(pt.sourceaccur);
	SwapBytes(pt.destaccur);
	}

#endif	//  INC_MI32_TIEPOINT_H 
