/**
 * \file rvc/dispsm3d.h 
 * \brief interface for the RVC::DISPSIM3D class.
 *
 * \if NODOC
 * $Id: dispsm3d.h_v 1.8 2006/09/08 19:28:16 scowan Exp $
 *
 * $Log: dispsm3d.h_v $
 * Revision 1.8  2006/09/08 19:28:16  scowan
 * Change enum from serialize to its own enum.
 *
 * Revision 1.7  2005/06/30 21:02:00  scowan
 * Added makeparms.
 *
 * Revision 1.6  2003/10/07 17:32:55  scowan
 * Object virtual method changes.
 *
 * Revision 1.5  2003/09/30 16:52:06  dwilliss
 * Doxygen
 *
 * Revision 1.4  2003/09/25 21:20:04  dwilliss
 * Fixed doxygen comment
 *
 * Revision 1.3  2003/09/15 13:49:45  fileserver!dwilliss
 * Doxygen
 *
 * Revision 1.2  2001/06/15 17:43:17  scowan
 * Added to RVC namespace.
 *
 * Revision 1.1  2000/11/29 17:20:20  scowan
 * Initial revision
 *
 * \endif
**/

//!
//!	\class RVC::DISPSIM3D rvc/dispsm3d.h
//!	\brief Manages RVC::OBJTYPE_Display_Sim3D objects.
//!
//!	RVC Object Types that this class supports: RVC::OBJTYPE_Display_Sim3D
//!
//!	Default RVC Object Type for this class: RVC::OBJTYPE_Display_Sim3D
//!
//!	Valid parents for this class:
//!		- RVC::OBJTYPE_File
//!		- RVC::OBJTYPE_Folder

#ifndef INC_RVC_DISPSM3D_H
#define INC_RVC_DISPSM3D_H

#ifndef INC_RVC_SERIALZE_H
	#include <rvc/serialze.h>
#endif

namespace RVC {

class DISPSIM3D : public RVC::SERIALIZE {
	public:
		#ifndef GENERATING_DOXYGEN_OUTPUT
		class MAKEPARMS;
		#endif

		//! Default constructor
		DISPSIM3D (
			);

		//! Copy constructor
		DISPSIM3D (
			const RVC::DISPSIM3D& obj
			);

		//! Destructor
		virtual ~DISPSIM3D (
			);

		//! Assignment
		RVC::DISPSIM3D& operator= (
			const RVC::DISPSIM3D& rhs
			);

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT
		//! Implementation of RVC::OBJECT virtual methods
		virtual OBJTYPE v_GetDftObjectType () const;
		#endif // GENERATING_DOXYGEN_OUTPUT

	};

class DISPSIM3D::MAKEPARMS : public SERIALIZE::MAKEPARMS {
	public:
		MAKEPARMS (
			UINT16 Version = 1				 			//!< Version number to assign to new object
			) : SERIALIZE::MAKEPARMS(RVC::OBJTYPE_Display_Sim3D, Version, RVC::OBJTYPE_All, DISPPARMUSAGE_Display)
			{}
	};			

}		//! End of RVC namespace

#endif 	//!< INC_RVC_DISPSM3D_H
